petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatSubMatrixVirtualUpdate

Updates a submatrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatSubMatrixVirtualUpdate(Mat N,Mat A,IS isrow,IS iscol)

Collective on Mat

### Input Parameters

| N | - submatrix to update
| A | - full matrix in the submatrix
| isrow | - rows in the update (same as the first time the submatrix was created)
| iscol | - columns in the update (same as the first time the submatrix was created)

### Notes

Most will use MatCreateSubMatrix which provides a more efficient representation if it is available.

### See Also

MatCreateSubMatrixVirtual()

### Level

developer

### Location

src/mat/impls/submat/submat.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages